Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I need to download Firefox 3.5 for OS-X 10.5 on PowerPC to run CoolIris.

  • 6 ŋuɖoɖowo
  • 186 masɔmasɔ sia le wosi
  • 2 views
  • Nuɖoɖo mlɔetɔ jcarter2a

more options

I have OS-X 10.5 on my G5 Mac, the latest version it will support. I had a hard drive disaster and am rebuilding my system. CoolIris is my plug-in of choice for Fireox.

But: Mac OS X 10.4 and Mac PowerPC are not supported on Cooliris v1.11.1+

I find the appropriate version, but: Version 1.11 Works with: Firefox 3.0a1 - 3.5.*

So, I need to download version 3.5 of Firefox to get CoolIris running again. But, I can't see a place to download older versions.

I have OS-X 10.5 on my G5 Mac, the latest version it will support. I had a hard drive disaster and am rebuilding my system. CoolIris is my plug-in of choice for Fireox. But: Mac OS X 10.4 and Mac PowerPC are not supported on Cooliris v1.11.1+ I find the appropriate version, but: Version 1.11 Works with: Firefox 3.0a1 - 3.5.* So, I need to download version 3.5 of Firefox to get CoolIris running again. But, I can't see a place to download older versions.

All Replies (6)

more options

Ɖɔɖɔɖo si wotia

more options

Apparently not any longer. this link takes me to a page telling me 3.6 isout of date and then that the newone isn't compatible with my operating system. but i think it means with my PowerPC processors.

Surely there are copies of 3.6 in the server somewhere. i know i'm behind,but i'm not a Luddite. it's just that this PowerPC mac still works great for the stuff i do.

more options

Try this one.

http://releases.mozilla.org/pub/mozilla.org/firefox/releases/


edit: ftp is not mirrored.

James trɔe

more options

Surely there are copies of 3.6 in the server somewhere

jcarter2a, there is links on http://www.mozilla.com/en-US/firefox/all-older.html for 3.6.28 if you look further down the page. The Firefox 3.6.28 was the last security update for 3.6 and is now EOL.

more options

Of course! Under English, not under United States.

Slow to catch on

JC

more options

Thanks - that was more direct